var app = new Vue({
    el: '#app',
    data: {
        textArea: '',
        toDoNumber: 0,
        doneNumber: 0,
        toDoContainer: [],
        doneContainer: [],
        currentSelected: -1,
    },
    methods: {
        save() {
            let text = this.textArea;
            this.add(text, 'toDo');
            this.textArea = '';
        },
        clear() {
            this.toDoContainer = [];
            this.doneContainer = [];
            this.toDoNumber = 0;
            this.doneNumber = 0;
        },
        finish(item, index) {
            this.toDoContainer.splice(index, 1);
            this.add(item, 'done');
        },
        bold(index) {
            currentSelected = index;
        },
        remove(element, index) {
            this.doneContainer.splice(index, 1);
            this.doneNumber--;
        },

        add(text, className) {
            if (text === '') return;

            if (className === 'toDo') {
                this.toDoContainer.push(text);
                this.toDoNumber++;
            } else if (className === 'done') {
                this.doneContainer.push(text);
                this.toDoNumber--;
                this.doneNumber++;
            }
        },
    },
});
