let request = new XMLHttpRequest();
let main = document.querySelector('main');
let button = document.getElementById('Button');
// request.onreadystatechange = function(event) {
//     console.log('onReadyStateChange');
//     console.log(event.target.readyState);
// };

// request.addEventListener('load', function(event) {
//     console.log('addEventListener');
//     let response = JSON.parse(event.target.responseText);
//     console.log(Object.keys(response));
//     responseArray = Object.keys(response);
// });

// request.open('GET', 'https://swapi.co/api/');

// request.send();

function getEndPoints() {
    let request = new XMLHttpRequest();

    request.addEventListener('load', function(event) {
        let response = JSON.parse(event.target.responseText);
        addBtns(response);
    });
    request.open('GET', 'https://swapi.co/api/');
    request.send();
}

function addBtns(response) {
    const btnHTML = Object.keys(response).reduce(function(html, responseKey) {
        return (
            html +
            '<button data-url="' +
            response[responseKey] +
            '">' +
            responseKey +
            '</button>'
        );
    }, '');
    main.innerHTML = btnHTML;
}

function makeRequest(event) {
    if (event.target.matches('button')) {
        let btn = event.target;
        let btnText = btn.innerHTML;
        btn.innerHTML = 'loading...';

        let newRequest = new XMLHttpRequest();
        newRequest.addEventListener('load', function(event) {
            if (event.target.status === 200) {
                let response = JSON.parse(event.target.responseText);
                btn.innerHTML = btnText;
                console.log(response);
            } else {
                console.log(event.target);
                btn.innerHTML = 'dikke fail';
            }
        });
        newRequest.open('GET', event.target.dataset.url);
        newRequest.send();
    }
}

button.addEventListener('click', getEndPoints);
main.addEventListener('click', makeRequest);
